An error that can occur in the StApps API

### Hierarchy

- Error
  - ApiError
    - OutOfRangeError
    - BulkWithMultipleTypesError
    - EmptyBulkError
    - NamespaceNotDefinedError
    - CoreVersionIncompatibleError

## Index

### Constructors

- constructor

### Properties

- data
- message
- name
- stack
- Error

### Methods

- toString

## Constructors

### constructor

- new ApiError(data: Partial<SCErrorResponse>): ApiError

- - Defined in src/errors.ts:20

  Instantiate a new error

  #### Parameters

  - ##### data: Partial<SCErrorResponse>

    Representation of an error that happened in the backend

  #### Returns ApiError

## Properties

### Protected data

data: Partial<SCErrorResponse>

- Defined in src/errors.ts:26

Representation of an error that happened in the backend

### message

message: string

Inherited from Error.message

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:964

### name

name: string

Inherited from Error.name

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:963

### Optional stack

stack: undefined | string

Inherited from Error.stack

Overrides Error.stack

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:965

### Static Error

Error: ErrorConstructor

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:974

## Methods

### toString

- toString(): string

- - Defined in src/errors.ts:37

  Add additional data to the output of the error

  #### Returns string

Generated using TypeDoc